#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {clk} -period 20 -waveform { 0.000 10 } [get_ports {clk}]
create_clock -name {virtual_clk} -period 20 -waveform { 0.000 10 }
create_clock -name {virtual_uart_clk} -period 5 -waveform { 0.000 2.5 }

#**************************************************************
# Create Generated Clock
#**************************************************************

derive_pll_clocks

#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {clk}] -rise_to [get_clocks {clk}]  1.00
set_clock_uncertainty -rise_from [get_clocks {clk}] -fall_to [get_clocks {clk}]  1.00  
derive_clock_uncertainty


#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay -clock [get_clocks {virtual_clk}] -max 0 [all_inputs]
set_input_delay -add_delay -clock [get_clocks {virtual_clk}] -min 0 [all_inputs]
set_input_delay -clock [get_clocks {virtual_uart_clk}] -max 0 [get_ports rxd]
set_input_delay -clock [get_clocks {virtual_uart_clk}] -min 0 [get_ports rxd]

#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay  -clock [get_clocks {clk}]  -max 0 [all_outputs]
set_output_delay -add_delay -clock [get_clocks {clk}] -min 0 [all_outputs]

#**************************************************************
# Set Clock Groups
#**************************************************************

# set_clock_groups -exclusive -group [get_clocks {clk}] [get_clocks {virtual_clk}]

#**************************************************************
# Set False Path
#**************************************************************


#**************************************************************
# Set Multicycle Path
#**************************************************************

set_multicycle_path -end -from [get_clocks clk] -to [get_clocks i_pll|altpll_component|pll|clk[0]] 4
set_multicycle_path -start -from [get_clocks i_pll|altpll_component|pll|clk[0]] -to [get_clocks clk] 4

#**************************************************************
# Set Maximum Delay
#**************************************************************

set_max_delay -from i_pll|altpll_component|pll|clk[0] -to i_pll|altpll_component|pll|clk[0] 20

#**************************************************************
# Set Minimum Delay
#**************************************************************

set_min_delay -from i_pll|altpll_component|pll|clk[0] -to clk -20
set_min_delay -from clk -to i_pll|altpll_component|pll|clk[0] -10

#**************************************************************
# Set Input Transition
#**************************************************************
