library ieee;
	use ieee.std_logic_1164.all;
	use ieee.numeric_std.all;
	
entity multiplier is
	port
	(
		a			: in unsigned (7 downto 0);
		b			: in unsigned (7 downto 0);
		clk		    : in std_logic;
		aclr		: in std_logic;
		result	    : out unsigned (15 downto 0)
	);
end multiplier;

architecture rtl of multiplier is
	signal a_reg    : unsigned (7 downto 0);
    signal b_reg    : unsigned (7 downto 0);
begin
	p_multiply : process (clk, aclr)
	begin
		if aclr = '1' then
			a_reg <= (others => '0');
			b_reg <= (others => '0');
			result <= (others => '0');
		elsif rising_edge(clk) then
			a_reg <= a;
			b_reg <= b;
			result <= a_reg * b_reg;
		end if;
	end process p_multiply;
end architecture rtl;